rte_table_action_common_config(3)

NAME
rte_table_action_common_config

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

int ip_version
uint32_t ip_offset

Detailed Description

Common action configuration (per table action profile).

Definition at line 109 of file rte_table_action.h.

Field Documentation

  int ip_version
Input packet Internet Protocol (IP) version. Non-zero for IPv4, zero for IPv6.

Definition at line 113 of file rte_table_action.h.

  uint32_t ip_offset
IP header offset within the input packet buffer. Offset 0 points to the first byte of the MBUF structure.

Definition at line 118 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.